<%--
Imodeエラー画面
--%>
<%@ page contentType="text/html; charset=shift_jis" pageEncoding="shift_jis"%>
<%@ page import="jp.co.ntt.lms.lo.scorm.util.SG"%>

<%@ page import="jp.co.ntt.lms.xms.framework.XmsRequest"%>
<%@ page import="jp.co.ntt.lms.imode.common.UserAgentCheck"%>
<%@ page import="jp.co.ntt.lms.imode.common.MobConst"%>

<%
// セッションからreturnURL取得
String returnURL = (String)session.getAttribute("MOBILE.RETURN_URL");
String returnDesp = "教材選択画面へ戻る";

// セッションからreturnURLが取得できない場合
if (returnURL == null || returnURL.equals("")) {	
	StringBuffer sbDefaultURL = new StringBuffer();
	// プロトコル取得
	sbDefaultURL.append(request.getScheme());
	sbDefaultURL.append("://");
	// 管理系サーバ名取得
	sbDefaultURL.append(SG.get("ManagerName"));

	
	XmsRequest xmsRequest= new XmsRequest(request, response);
	request = xmsRequest.getRequest();
	UserAgentCheck userCarrier = new UserAgentCheck(request);
	
	// 携帯以外からのアクセスの場合
	if (userCarrier.getMobileCarrier() == UserAgentCheck.PC) {
		// ウィンドウを閉じるＵＲＬ
//		sbDefaultURL.append("/sce/");
//		sbDefaultURL.append(MobConst.C_WINDOWCLOSE_URI);
//		returnURL = sbDefaultURL.toString();
		returnURL = "javascript:window.close()";
		returnDesp = "閉じる";
		
	} else {
	// 携帯からのアクセスの場合
		// ログイン画面に戻る 初期画面ＵＲＬ
		sbDefaultURL.append("/xms2/");
		sbDefaultURL.append(MobConst.C_LOGIN_URI);
		returnURL = sbDefaultURL.toString();
		returnDesp = "ログイン画面へ戻る";
	}
}

%>
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=Shift_JIS">
   <title> "エラー画面" </title>
</head>

<body>
<pre>
エラーが発生しました。

<a href="<%=returnURL%>"><%=returnDesp%></a>
</pre>
</body>
</html>
